Package com.ocient.jdbc.proto

## Class PlanProtocol.ProjectOutOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.ProjectOutOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ProjectOutOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ProjectOutOperator

    public static final class PlanProtocol.ProjectOutOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>
    implements PlanProtocol.ProjectOutOperatorOrBuilder

    Discard some columns

Protobuf type `xg.db.sqlPlans.ProjectOutOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.ProjectOutOperator.Builder` `addAllGetRidOf​(Iterable<String> values)` `repeated string getRidOf = 1;`
`PlanProtocol.ProjectOutOperator.Builder` `addGetRidOf​(String value)` `repeated string getRidOf = 1;`
`PlanProtocol.ProjectOutOperator.Builder` `addGetRidOfBytes​(com.google.protobuf.ByteString value)` `repeated string getRidOf = 1;`
`PlanProtocol.ProjectOutOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ProjectOutOperator` `build()`
`PlanProtocol.ProjectOutOperator` `buildPartial()`
`PlanProtocol.ProjectOutOperator.Builder` `clear()`
`PlanProtocol.ProjectOutOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.ProjectOutOperator.Builder` `clearGetRidOf()` `repeated string getRidOf = 1;`
`PlanProtocol.ProjectOutOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.ProjectOutOperator.Builder` `clone()`
`PlanProtocol.ProjectOutOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getGetRidOf​(int index)` `repeated string getRidOf = 1;`
`com.google.protobuf.ByteString` `getGetRidOfBytes​(int index)` `repeated string getRidOf = 1;`
`int` `getGetRidOfCount()` `repeated string getRidOf = 1;`
`com.google.protobuf.ProtocolStringList` `getGetRidOfList()` `repeated string getRidOf = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.ProjectOutOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.ProjectOutOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.ProjectOutOperator.Builder` `mergeFrom​(PlanProtocol.ProjectOutOperator other)`
`PlanProtocol.ProjectOutOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.ProjectOutOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ProjectOutOperator.Builder` `setGetRidOf​(int index, String value)` `repeated string getRidOf = 1;`
`PlanProtocol.ProjectOutOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.ProjectOutOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### clear

    public PlanProtocol.ProjectOutOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.ProjectOutOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.ProjectOutOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.ProjectOutOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.ProjectOutOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### setField

    public PlanProtocol.ProjectOutOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### clearField

    public PlanProtocol.ProjectOutOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### clearOneof

    public PlanProtocol.ProjectOutOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.ProjectOutOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    int index,
                                                                    Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.ProjectOutOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ProjectOutOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ProjectOutOperator.Builder mergeFrom​(PlanProtocol.ProjectOutOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ProjectOutOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ProjectOutOperator.Builder>`
Throws:
  `IOException`

#### getGetRidOfList

    public com.google.protobuf.ProtocolStringList getGetRidOfList()

`repeated string getRidOf = 1;`

Specified by:
  `getGetRidOfList` in interface `PlanProtocol.ProjectOutOperatorOrBuilder`
Returns:
  A list containing the getRidOf.

#### getGetRidOfCount

    public int getGetRidOfCount()

`repeated string getRidOf = 1;`

Specified by:
  `getGetRidOfCount` in interface `PlanProtocol.ProjectOutOperatorOrBuilder`
Returns:
  The count of getRidOf.

#### getGetRidOf

    public String getGetRidOf​(int index)

`repeated string getRidOf = 1;`

Specified by:
  `getGetRidOf` in interface `PlanProtocol.ProjectOutOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The getRidOf at the given index.

#### getGetRidOfBytes

    public com.google.protobuf.ByteString getGetRidOfBytes​(int index)

`repeated string getRidOf = 1;`

Specified by:
  `getGetRidOfBytes` in interface `PlanProtocol.ProjectOutOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the getRidOf at the given index.

#### setGetRidOf

    public PlanProtocol.ProjectOutOperator.Builder setGetRidOf​(int index,
                                                               String value)

`repeated string getRidOf = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The getRidOf to set.
Returns:
  This builder for chaining.

#### addGetRidOf

    public PlanProtocol.ProjectOutOperator.Builder addGetRidOf​(String value)

`repeated string getRidOf = 1;`

Parameters:
  `value` - The getRidOf to add.
Returns:
  This builder for chaining.

#### addAllGetRidOf

    public PlanProtocol.ProjectOutOperator.Builder addAllGetRidOf​(Iterable<String> values)

`repeated string getRidOf = 1;`

Parameters:
  `values` - The getRidOf to add.
Returns:
  This builder for chaining.

#### clearGetRidOf

    public PlanProtocol.ProjectOutOperator.Builder clearGetRidOf()

`repeated string getRidOf = 1;`

Returns:
  This builder for chaining.

#### addGetRidOfBytes

    public PlanProtocol.ProjectOutOperator.Builder addGetRidOfBytes​(com.google.protobuf.ByteString value)

`repeated string getRidOf = 1;`

Parameters:
  `value` - The bytes of the getRidOf to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.ProjectOutOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.ProjectOutOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ProjectOutOperator.Builder>`